/**
 * Copyright 2012-2013 Nikita Shmakov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.dreambrother.ljl.impl.configuration.reader;

import java.util.List;
import org.codehaus.jackson.annotate.JsonProperty;

/**
 * @author nik
 */
public class LoggerConfigurationState {

    private final boolean isAsync;
    private final int poolSize;
    private final List<LoggerConfigurationUnit> loggers;

    public LoggerConfigurationState(@JsonProperty("async") boolean isAsync, @JsonProperty("poolSize") int poolSize, 
            @JsonProperty("loggers") List<LoggerConfigurationUnit> loggers) {
        this.isAsync = isAsync;
        this.poolSize = poolSize;
        this.loggers = loggers;
    }

    public boolean isAsync() {
        return isAsync;
    }

    public int getPoolSize() {
        return poolSize;
    }

    public List<LoggerConfigurationUnit> getLoggers() {
        return loggers;
    }
}
