/**
 * Copyright 2012-2013 Nikita Shmakov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.dreambrother.ljl.impl.utils;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 *
 * @author nik
 */
public final class SystemPropertyUtils {
    
    private static final Pattern pattern = Pattern.compile("\\$\\{(.+?)\\}");

    private SystemPropertyUtils() { }

    public static String replaceProperties(String string) {
        Matcher matcher = pattern.matcher(string);
        List<String> propsInString = new ArrayList<>();
        while (matcher.find()) {
            propsInString.add(matcher.group(1));
        }
        String result = string;
        for (String propName : propsInString) {
            String value = System.getProperty(propName);
            if (value != null) {
                result = result.replace("${" + propName + "}", value);
            }
        }
        return result;
    }
}
