/**
 * Copyright 2012-2013 Nikita Shmakov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.dreambrother.ljl;

import com.github.dreambrother.ljl.impl.util.TestClass;
import org.junit.After;
import org.junit.Test;

/**
 *
 * @author nik
 */
public class LoggerFactoryTest {

    @After
    public void clearConfigPath() {
        LoggerConfigurationPathHolder.getInstance().setConfigPath(null);
    }
    
    @Test(expected = IllegalStateException.class)
    public void shouldFailWhenConfigurationFileSettedButDoesntExist() {
        LoggerConfigurationPathHolder.getInstance().setConfigPath("");
        LoggerFactory.getLogger(TestClass.class);
    }
}
