/**
 * Copyright 2012-2013 Nikita Shmakov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.dreambrother.ljl.impl.formatter;

import com.github.dreambrother.ljl.impl.LoggingLevel;
import com.github.dreambrother.ljl.impl.util.TestClass;
import java.util.Date;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/**
 * @author nik
 */
public class SimpleLogFormatterTest {
    
    private final LogFormatter logFormatter = new SimpleLogFormatter();
    
    @Test
    public void testFormat() {
        final Date date = new Date(); 
        assertEquals("[DEBUG] " + date + " " + Thread.currentThread().getName() + "-" 
                + TestClass.class + ": Test 1, 2",
                logFormatter.format(LoggingLevel.DEBUG, TestClass.class, date, "Test {}, {}", "1", "2"));
        assertEquals("[DEBUG] " + date + " " + Thread.currentThread().getName() + "-" 
                + TestClass.class + ": Test",
                logFormatter.format(LoggingLevel.DEBUG, TestClass.class, date, "Test"));
    }
}
