/**
 * Copyright 2012-2013 Nikita Shmakov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.dreambrother.ljl.impl.utils;

import java.io.File;
import org.junit.Test;

import static junit.framework.Assert.assertFalse;
import static junit.framework.Assert.assertTrue;

/**
 *
 * @author nik
 */
public class FileUtilsTest {
    
    @Test
    public void testAsFile() {
        // TODO: test. See https://github.com/dreambrother/lightweight-java-logger/issues/14
    }

    @Test
    public void testAsInputStream() {
        // TODO: test. See https://github.com/dreambrother/lightweight-java-logger/issues/14
    }

    @Test
    public void testCreateParentDirectories() {
        File file = new File("target/1/2/3/tmp");
        File dir1 = new File("target/1");
        File dir2 = new File("target/1/2");
        File dir3 = new File("target/1/2/3");
        
        assertFalse(dir1.exists());
        assertFalse(dir2.exists());
        assertFalse(dir3.exists());
        
        FileUtils.createParentDirectories(file);
        
        assertTrue(dir1.exists());
        assertTrue(dir2.exists());
        assertTrue(dir3.exists());
    }
}
